[TOC]




<#-- ----------  BEGIN 循环遍历book  ---------->
<#if books??>
    <#list books as bookKey,bookValue>
        ${bookKey}
        <#if bookValue.name??>
# ${bookValue.name}
        </#if>

        <#list bookValue.chapters>
            <#items as chapter>
## ${chapter?counter}.  ${chapter.name}

${chapter.description}

                <#list chapter.sections>
                    <#items as section>
                        ### ${chapter?counter}.${section?counter} ${section.name}

                        ${section.description}

                        **request**

                        ```HTTP
                        POST /api/v1/users HTTP/1.1

                        {
                        "loginId":"admin",
                        "userName":"123456",
                        "passwords":"123456"
                        }
                        ```

                        **header**

                        | Field    | Type   | Condition | Default | Description |
                        | :------- | :----- | :-------- | :------ | :---------- |
                        | loginId  | String |           |         | 用户编号    |
                        | userName | String |           |         | 用户名      |
                        | password | String |           |         | 密码        |

                        **query**

                        | Field    | Type   | Condition | Default | Description |
                        | :------- | :----- | :-------- | :------ | :---------- |
                        <#list section.requestRows as rowKey,rowValue>
                            | rowValue.key  | rowValue.type | rowValue.condition | rowValue.def | rowValue.remark |
                        </#list>

                        **body**

                        | Field    | Type   | Condition | Default | Description |
                        | :------- | :----- | :-------- | :------ | :---------- |
                        | loginId  | String |           |         | 用户编号    |
                        | userName | String |           |         | 用户名      |
                        | password | String |           |         | 密码        |

                        **response**

                        ```
                        {
                        "loginId":"admin",
                        "userName":"123456",
                        "passwords":"123456"
                        }
                        ```

                        | Field    | Type   | Description |
                        | :------- | :----- | :---------- |
                        | loginId  | String | 用户编号    |
                        | userName | String | 用户名      |
                        | password | String | 密码        |
                    </#items>
                </#list>
            </#items>
        </#list>
    </#list>
</#if>
<#------------  END 循环遍历book  ---------->
